program NUTS;

{$APPTYPE CONSOLE}

uses
  SysUtils;

var n,m,t,k,i,a:integer;
begin
assign (input, 'NUTS.in');
reset (input);
read (t);
for i:=1 to t do
  begin
    read (n,m,k);
    a:=n*m;
    if a>=k then
    writeln ('YES') else writeln ('NO');
    end;

end.
